﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace ChartExport
{
    public class MainViewModel
    {
        public List<List<ChartData>> MyData { get; set; }
        public DelegateCommand OnClickExportCommand { get; set; }
        public MainViewModel()
        {
            this.MyData = new List<List<ChartData>>()
			    {
				    new List<ChartData>()
				    {
					    new ChartData { XCat = 1, YVal = 24 },
					    new ChartData { XCat = 2, YVal = 9 },
					    new ChartData { XCat = 3, YVal = 18 },
					    new ChartData { XCat = 4, YVal = 31 },
					    new ChartData { XCat = 5, YVal = 25 },
					    new ChartData { XCat = 6, YVal = 13 },
					    new ChartData { XCat = 7, YVal = 17 },
					    new ChartData { XCat = 8, YVal = 33 },
					    new ChartData { XCat = 9, YVal = 21 },
					    new ChartData { XCat = 10, YVal = 27 },
				    },
				    new List<ChartData>()
				    {
					    new ChartData { XCat = 1, YVal = 4 },
					    new ChartData { XCat = 2, YVal = 19 },
					    new ChartData { XCat = 3, YVal = 28 },
					    new ChartData { XCat = 4, YVal = 11 },
					    new ChartData { XCat = 5, YVal = 15 },
					    new ChartData { XCat = 6, YVal = 31 },
					    new ChartData { XCat = 7, YVal = 27 },
					    new ChartData { XCat = 8, YVal = 14 },
					    new ChartData { XCat = 9, YVal = 19 },
					    new ChartData { XCat = 10, YVal = 21 },
				    }
			    };
            this.OnClickExportCommand = new DelegateCommand(new Action<object>((p) => OnButtonClicked(p)));
        }

        private void OnButtonClicked(object radChart)
        {
            SaveFileDialog dialog = new SaveFileDialog();
            dialog.DefaultExt = "*.xlsx";
            dialog.Filter = "Files(*.xlsx)|*.xlsx";
            if (!(bool)dialog.ShowDialog())
                return;
            Stream fileStream = dialog.OpenFile();
            (radChart as Telerik.Windows.Controls.RadChart).ExportToExcelML(fileStream);
            fileStream.Close();
        }
    }
}
